### A free/open-source library for quantitative finance

FixedRateCoupon Class Reference

Coupon paying a fixed interest rate More...

`#include <ql/cashflows/fixedratecoupon.hpp>`

Inheritance diagram for FixedRateCoupon:
[legend]

List of all members.

## Public Member Functions

constructors
| FixedRateCoupon (const Date &paymentDate, Real nominal, Rate rate, const DayCounter &dayCounter, const Date &accrualStartDate, const Date &accrualEndDate, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date())
| FixedRateCoupon (const Date &paymentDate, Real nominal, const InterestRate &interestRate, const Date &accrualStartDate, const Date &accrualEndDate, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date())
CashFlow interface
Real | amount () const
| returns the amount of the cash flow
Coupon interface
Rate | rate () const
| accrued rate
InterestRate | interestRate () const
DayCounter | dayCounter () const
| day counter for accrual calculation
Real | accruedAmount (const Date &) const
| accrued amount at the given date
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Coupon paying a fixed interest rate

## Member Function Documentation

Real amount | ( |  | ) | const`[virtual]`

returns the amount of the cash flow

Note:
  The amount is not discounted, i.e., it is the actual amount paid at the cash flow date.

Implements CashFlow.